package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class QuarterlyRatioEntryCollection extends AbstractObjectCollection 
{
    public QuarterlyRatioEntryCollection()
    {
        super(QuarterlyRatioEntryInfo.class);
    }
    public boolean add(QuarterlyRatioEntryInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(QuarterlyRatioEntryCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(QuarterlyRatioEntryInfo item)
    {
        return removeObject(item);
    }
    public QuarterlyRatioEntryInfo get(int index)
    {
        return(QuarterlyRatioEntryInfo)getObject(index);
    }
    public QuarterlyRatioEntryInfo get(Object key)
    {
        return(QuarterlyRatioEntryInfo)getObject(key);
    }
    public void set(int index, QuarterlyRatioEntryInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(QuarterlyRatioEntryInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(QuarterlyRatioEntryInfo item)
    {
        return super.indexOf(item);
    }
}